<th:block th:fragment="uploadModal">
	<div class="ui modal" id="uploadModal">
		<i class="close icon"></i>
		<div class="header">
			 Modal Title
		</div>
		<div class="image content">
			<form action="upload.php" method="post" enctype="multipart/form-data">
			    Select image to upload:
			    <input type="file" name="fileToUpload" id="fileToUpload">
			    <input type="submit" value="Upload Image" name="submit">
			</form>
		</div>
		<div class="actions">
			<div class="ui button">Cancel</div>
			<div class="ui button">OK</div>
		</div>
	</div>
</th:block>